# LedgerResponse | xrpl
Documentation for xrpl

# Interface LedgerResponse

Response expected from a LedgerRequest.

#### Hierarchy

- BaseResponse
  - LedgerResponse

- Defined in packages/xrpl/src/models/methods/ledger.ts:113

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:31

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:30

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:24

### result

result: {
ledger: Ledger | BinaryLedger;
ledger_hash: string;
ledger_index: number;
queue_data?: (string | LedgerQueueData)[];
validated?: boolean;
}

#### Type declaration

- ##### ledger: Ledger | BinaryLedger

  The complete header data of this Ledger.

- ##### ledger_hash: string

  Unique identifying hash of the entire ledger.

- ##### ledger_index: number

  The Ledger Index of this ledger.

- ##### `Optional` queue_data?: (string | LedgerQueueData)[]

  If true, this is a validated ledger version. If omitted or set to false, this ledger's data is not final.

- ##### `Optional` validated?: boolean

  Array of objects describing queued transactions, in the same order as the queue. If the request specified expand as true, members contain full representations of the transactions, in either JSON or binary depending on whether the request specified binary as true.

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/ledger.ts:114

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:25

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:26

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:28

### `Optional` warnings

warnings?: Warning[]

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:29

Generated using TypeDoc